Knowledge Base
Introduction Session handling Domain management Contact management Host management Message queue Read messages queue Acknowledge Message Notification message types Collections Registrars Domains EPP Gateway

Message queue

Discover and retrieve service messages from the REST API Gateway. Service messages are part of ST Registry collections. For more details about collections please refer to collections article.

GET Read messages queue

GET /notifications/?do=search&field[ntDate][eq]=null&sort_field=crDate&sort_direction=desc&limit=2&offset=0

This command is used to discover and retrieve service messages queued by ST Registry. Each response returned from the server will include a server-unique message identifier, which will be required for acknowledging the receipt of a message. A counter exists to indicate the number of messages in the queue. After a client has received a message, the client MUST respond to the message with an explicit acknowledgement to confirm that the message has been received to make the next message in the queue (if any) available for retrieval. Message acknowledgement mark message as read and do not remove it completely from a queue. All messages (both read and unread) are removed from queue once they become 30 days old.

Fetching unread messages:

NameDescription
doIdentify action that should be performed to collection. For querying messages queue it will be always value “search”.
fieldCollection of fields that should using for filtering query result. Field ntDate identify when message was acknowledged, eq – means equal, “null” value identify unread messages. For more details about collections please refer to collections article.
sort_fieldIdentify message attribute which should be used for sorting results.
sort_directionSorting direction. May acquire values: asc or desc (ascending or descending).
limitMessages limit in response. In other words – number of messages to fetch starting from “offset” position.
offsetIdentify how many messages should be skipped before starting fetching messages.

To fetch all messages (both read and unread) – filter for ntDate should be removed from request.

To fetch read messages – filter value for ntDate should be timestamp. It is possible to filter result by date range by using “lt” (less than) and/or “gt” (greater than) instruction instead or “eq” in our example. To read more about collections management please refer to the collections article.

After successful request, response will contain following elements:

  • id – Message ID. Should be used to acknowledge message (mark as read).
  • type – message type. Please refer to registrars notification system for complete type of messages.
  • message – full service message.
  • clID – client ID who owns this message. Normally this is same client who request message.
  • crDate – date and time when corresponding message was created.
  • ntDate – date and time when corresponding message was acknowledged.
  • object – identify to what kind of object current service message is related. Can obtain values: domain, contact, host.
  • objID – objectID
  • data – information related to the service message. Please refer to registrars notification system article for complete list of data formats.
  • searchInf/limit – requested result limits
  • searchInf/offset – requested result offset
  • searchInf/rows_count – total rows count according to applied filter values.
  • code – response code. 1000 if operation successful.
  • message – response message. Generally its a description for response code.
  • cltrid – client transaction ID which was provided in request.
  • svtrid – server transaction ID which was generated by ST Registry for corresponding request.
  • time – request execution time in seconds.

Message attributes without values are not reflected in response (like ntDate in this example).

Request Example
GET /notifications/?do=search&field[ntDate][eq]=null&sort_field=crDate&sort_direction=desc&limit=2&offset=0 HTTP/1.1
Host: apihost
Content-Type: application/json
Api-Version: 1.0
Api-ClientTransactionId: 9a6c67e4-d666-54a8-9465-4847bee812e2
Api-ClientToken: 1a2B3C4d5e6F
Response Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "TRANSFER_REQUEST",
            "message": "Transfer request",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:31:37+00:00",
            "object": "domain",
            "objId": "example1.st",
            "data": {
                "trnData": {
                    "trStatus": "pending",
                    "reID": "GainingClientID",
                    "reName": "GainingClientPublicName",
                    "reDate": "2014-01-23T14:31:37+00:00",
                    "acID": "LoosingClientID",
                    "acName": "LoosingClientPublicName",
                    "acDate": "2014-01-23T14:31:37+00:00",
                    "crDate": "2013-01-22T17:51:05+00:00",
                    "exDate": "2016-01-22T17:51:05+00:00"
                },
                "panData": {
                    "name": "example1.st",
                    "paResult": 1,
                    "paDate": "2014-01-23T14:31:37+00:00",
                    "paTRID": {
                        "clTRID": "TR_TR_DOMAIN",
                        "svTRID": "d720b6f8-a00e-44a5-9bad-f20ef66f2138"
                    }
                }
            }
        },
        "12346": {
            "id": "12346",
            "type": "TRANSFER_CANCEL",
            "message": "Transfer canceled",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:33:22+00:00",
            "object": "domain",
            "objId": "example2.st",
            "data": {
                "trnData": {
                    "trStatus": "clientCancelled",
                    "reID": "GainingClientID",
                    "reName": "GainingClientPublicName",
                    "reDate": "2014-01-23T14:31:37+00:00",
                    "acID": "LoosingClientID",
                    "acName": "LoosingClientPublicName",
                    "acDate": "2014-01-23T14:31:37+00:00",
                    "crDate": "2013-01-22T17:51:05+00:00",
                    "exDate": "2016-01-22T17:51:05+00:00"
                },
                "panData": {
                    "name": "example2.st",
                    "paResult": 1,
                    "paDate": "2014-01-23T14:33:22+00:00",
                    "paTRID": {
                        "clTRID": "TR_TR_DOMAIN",
                        "svTRID": "f3f949be-1dba-45c7-9916-7e45c04de0a5"
                    }
                }
            }
        }
    },
    "searchInf": {
        "limit": 2,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

POST Acknowledge Message

POST /notifications/:id:/read

In REST API message acknowledgement perform message marking as read. Such messages are still stored on registry side for some time and later on completely wiped our.

Message acknowledgement is performed for specific message which is identified by its ID.

NameDescription
idMessage identifier for acknowledgement.

After successful request, response will contain following elements:

  • ntDate – date and time when corresponding message was acknowledged.
  • code – response code. 1000 if operation successful.
  • message – response message. Generally its a description for response code.
  • cltrid – client transaction ID which was provided in request.
  • svtrid – server transaction ID which was generated by ST Registry for corresponding request.
  • time – request execution time in seconds.
Request Example
POST /notifications/12345/read HTTP/1.1
Host: apihost
Content-Type: application/json
Api-Version: 1.0
Api-ClientTransactionId: 9a6c67e4-d666-54a8-9465-4847bee812e2
Api-ClientToken: 1a2B3C4d5e6F
Response Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
ntDate: "2014-01-08T16:49:14+00:00"
code: 1000
message: "OK"
cltrid: "9a6c67e4-d666-54a8-9465-4847bee812e2"
svtrid: "aafce8b5-2a77-4d97-9095-1b2475da2eaf"
time: 0.0079150199890137
}

Notification message types

There is totally 10 events which will generate message in a queue:

  1. Domain expired. Message type “DOMAIN_EXPIRE”.
  2. Domain entered redemption period. Message type “DOMAIN_REDEMPTION”.
  3. Domain deleted. Message type “DOMAIN_DELETE”.
  4. Insufficient funds to complete operation. Message type “INSUFFICIENT_FUNDS”.
  5. Balance low. Message type “BALANCE_LOW”.
  6. Automatic invoice created by ST Registry. Message type “AUTO_INVOICE”.
  7. Unpaid invoice reminder. Message type “UNPAID_INVOICES”.
  8. Transfer request. Message type “TRANSFER_REQUEST”.
  9. Transfer successful. Message type “TRANSFER_SUCCESS”.
  10. Transfer rejected. Message Type “TRANSFER_REJECT”.
  11. Transfer cancelled. Message type “TRANSFER_CANCEL”.
  12. Transfer forbidden. Message type “TRANSFER_FORBIDDEN”.

Domain expired

This message is generated when domain gain status serverHold when it reach expire date.

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "DOMAIN_EXPIRE",
            "message": "Domain expired",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:31:37+00:00",
            "object": "domain",
            "objId": "example1.st",
            "data": {
                "panData": {
                    "name": "example1.st",
                    "crDate": "2012-10-23T14:31:37+00:00",
                    "exDate": "2014-01-23T14:31:37+00:00",
                }
            }
        },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Domain entered redemption period

This message is generated when domain gain status redemptionPeriod which occurs 40 days after expire event occurred.

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "DOMAIN_REDEMPTION",
            "message": "Domain entered redemption period",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:31:37+00:00",
            "object": "domain",
            "objId": "example1.st",
            "data": {
                "panData": {
                    "name": "example1.st",
                    "crDate": "2012-10-23T14:31:37+00:00",
                    "exDate": "2014-01-23T14:31:37+00:00",
                }
            }
        },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Domain deleted

This message is generated when domain completely removed from ST Registry repository and became publicly available for registration.

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "DOMAIN_DELETE",
            "message": "Domain deleted",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:31:37+00:00",
            "object": "domain",
            "objId": "example1.st",
            "data": {
                "panData": {
                    "name": "example1.st",
                    "crDate": "2012-10-23T14:31:37+00:00",
                    "exDate": "2014-01-23T14:31:37+00:00",
                }
            }
        },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Insufficient funds

Message “Insufficient funds to complete operation” is generated if any operation which generate billing transaction was not completed due to the billing exception (insufficient funds on registrar balance to complete operation).

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "INSUFFICIENT_FUNDS",
            "message": "Insufficient funds to complete operation",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:31:37+00:00",
            "object": "domain",
            "objId": "example1.st",
            "data": {
                "panData": {
                    "name": "example1.st",
                    "operation": "create",
                    "balance": "4.2",
                    "price": "10.02",
                    "paDate": "2014-01-23T14:31:37+00:00",
                    "paTRID": {
                       "clTRID": "Cl1entTransactionId",
                       "svTRID": "200ad8e4-fc82-405b-aac4-8ec2284d1dce",
                    }
                }
            }
        },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Balance low

This warning message is generated by ST Registry if registrar balance is below defined limit. Balance limit is calculated on monthly basis and calculate total number of funds needed to renew domains within next 3 months + number of domains registered during past 3 months. Resulting balance limit should cover hypothetic possible operations during next 3 months. Balance is compared with limit on a daily basis and if its goes below defined limit – corresponding message is generated by ST Registry.

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "BALANCE_LOW",
            "message": "Balance low",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:31:37+00:00",
            "object": "",
            "objId": "",
            "data": {
                "panData": {
                    "limit": "0",
                    "balance": "1050",
                    "balanceLimit": "1420",
                }
            }
        },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Automatic invoice

This message is generated when ST Registry create automatic invoice basing on current registrar balance and balance limit calculated in message “3.5 Balance low“.

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
 "id": "12345",
 "type": "AUTO_INVOICE",
 "message": "New invoice #CID-20140123-131848-543",
 "clID": "MsgOwnerClientID",
 "crDate": "2014-01-23T14:31:37+00:00",
 "object": "",
 "objId": "",
 "data": {
 "panData": {
 "invoiceNumber": "CID-20140123-131848-543",
 "amount": 250,
 "currency": "EUR",
 "issueDate": "2014-01-23T14:31:37+00:00",
 "dueDate": "2014-02-06T14:31:37+00:00",
 }
 }
        }
 },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Unpaid invoice

This message is generated as a reminder for unpaid invoice(s).

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
 "id": "12345",
 "type": "AUTO_INVOICE",
 "message": "New invoice #CID-20140123-131848-543",
 "clID": "MsgOwnerClientID",
 "crDate": "2014-01-30T14:31:37+00:00",
 "object": "",
 "objId": "",
 "data": {
 "panData": {
 "invoiceNumber": "CID-20140123-131848-543",
 "amount": 250,
 "currency": "EUR",
 "issueDate": "2014-01-23T14:31:37+00:00",
 "dueDate": "2014-02-06T14:31:37+00:00",
 }
 }
        }
 },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Transfer request

This message is generated for the loosing ST Registrar when a transfer request is issued for any domain. Transfer status in this case gain “pending” value.

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "TRANSFER_REQUEST",
            "message": "Transfer request",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:31:37+00:00",
            "object": "domain",
            "objId": "example1.st",
            "data": {
                "trnData": {
                    "trStatus": "pending",
                    "reID": "GainingClientID",
                    "reName": "GainingClientPublicName",
                    "reDate": "2014-01-23T14:31:37+00:00",
                    "acID": "LoosingClientID",
                    "acName": "LoosingClientPublicName",
                    "acDate": "2014-01-23T14:31:37+00:00",
                    "crDate": "2013-01-22T17:51:05+00:00",
                    "exDate": "2016-01-22T17:51:05+00:00"
                },
                "panData": {
                    "name": "example1.st",
                    "paResult": 1,
                    "paDate": "2014-01-23T14:31:37+00:00",
                    "paTRID": {
                        "clTRID": "TR_TR_DOMAIN",
                        "svTRID": "d720b6f8-a00e-44a5-9bad-f20ef66f2138"
                    }
                }
            }
        },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Transfer successful

This message is generated for the gaining ST Registrar when a transfer request for a domain was accepted by loosing ST Registrar or if transfer request was automatically approved by ST Registry (in case of inactivity by loosing ST Registrar for 7 days).

“paResult” attribute gain a positive Boolean value which indicate that request has been approved and completed. Transfer status in this case gain “clientApproved” value.

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "TRANSFER_SUCCESS",
            "message": "Transfer successful",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:31:37+00:00",
            "object": "domain",
            "objId": "example1.st",
            "data": {
                "trnData": {
                    "trStatus": "clientApproved",
                    "reID": "GainingClientID",
                    "reName": "GainingClientPublicName",
                    "reDate": "2014-01-23T14:31:37+00:00",
                    "acID": "LoosingClientID",
                    "acName": "LoosingClientPublicName",
                    "acDate": "2014-01-23T14:31:37+00:00",
                    "crDate": "2013-01-22T17:51:05+00:00",
                    "exDate": "2016-01-22T17:51:05+00:00"
                },
                "panData": {
                    "name": "example1.st",
                    "paResult": 1,
                    "paDate": "2014-01-23T14:31:37+00:00",
                    "paTRID": {
                        "clTRID": "TR_TR_DOMAIN",
                        "svTRID": "d720b6f8-a00e-44a5-9bad-f20ef66f2138"
                    }
                }
            }
        },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Transfer rejected

This message is generated for gaining/requesting ST Registrar when a transfer request for a domain was rejected by loosing ST Registrar.

“paResult” attribute gain a negative Boolean value which indicate that request has been rejected. Transfer status in this case gain “clientRejected” value.

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "TRANSFER_REJECT",
            "message": "Transfer rejected",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:31:37+00:00",
            "object": "domain",
            "objId": "example1.st",
            "data": {
                "trnData": {
                    "trStatus": "clientRejected",
                    "reID": "GainingClientID",
                    "reName": "GainingClientPublicName",
                    "reDate": "2014-01-23T14:31:37+00:00",
                    "acID": "LoosingClientID",
                    "acName": "LoosingClientPublicName",
                    "acDate": "2014-01-23T14:31:37+00:00",
                    "crDate": "2013-01-22T17:51:05+00:00",
                    "exDate": "2016-01-22T17:51:05+00:00"
                },
                "panData": {
                    "name": "example1.st",
                    "paResult": 1,
                    "paDate": "2014-01-23T14:31:37+00:00",
                    "paTRID": {
                        "clTRID": "TR_TR_DOMAIN",
                        "svTRID": "d720b6f8-a00e-44a5-9bad-f20ef66f2138"
                    }
                }
            }
        },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Transfer cancelled

This message is generated for the loosing ST Registrar when a transfer request was initiated but cancelled by gaining/requesting ST Registrar before transfer was completed.

“paResult” attribute gain a negative Boolean value which indicate that request has been cancelled. Transfer status in this case gain “clientCancelled” valued.

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "TRANSFER_CANCEL",
            "message": "Transfer cancelled",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:33:22+00:00",
            "object": "domain",
            "objId": "example2.st",
            "data": {
                "trnData": {
                    "trStatus": "clientCancelled",
                    "reID": "GainingClientID",
                    "reName": "GainingClientPublicName",
                    "reDate": "2014-01-23T14:31:37+00:00",
                    "acID": "LoosingClientID",
                    "acName": "LoosingClientPublicName",
                    "acDate": "2014-01-23T14:31:37+00:00",
                    "crDate": "2013-01-22T17:51:05+00:00",
                    "exDate": "2016-01-22T17:51:05+00:00"
                },
                "panData": {
                    "name": "example2.st",
                    "paResult": 0,
                    "paDate": "2014-01-23T14:33:22+00:00",
                    "paTRID": {
                        "clTRID": "TR_TR_DOMAIN",
                        "svTRID": "f3f949be-1dba-45c7-9916-7e45c04de0a5"
                    }
                }
            }
        }
    },
    "searchInf": {
        "limit": 2,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}

Transfer forbidden

This message is generated for the gaining/requesting ST Registrar when the registry reject a transfer request for a domain. This might occur when domain status forbid transfer operation.

“paResult” attribute gain a negative Boolean value which indicate that request has been rejected. Transfer status in this case gain “serverRejected” value.

Example of REST API response for this message type:

Example
HTTP/1.1 200 OK
Date: Tue, 01 Jan 2014 00:00:01 GMT
Server: Apache/2.2.15 (CentOS)
X-Powered-By: PHP/5.4.11
Connection: close
Transfer-Encoding: chunked
Content-Type: application/json

{
    "searchRes": {
        "12345": {
            "id": "12345",
            "type": "TRANSFER_FORBIDDEN",
            "message": "Transfer forbidden",
            "clID": "MsgOwnerClientID",
            "crDate": "2014-01-23T14:31:37+00:00",
            "object": "domain",
            "objId": "example1.st",
            "data": {
                "trnData": {
                    "trStatus": "clientRejected",
                    "reID": "GainingClientID",
                    "reName": "GainingClientPublicName",
                    "reDate": "2014-01-23T14:31:37+00:00",
                    "acID": "LoosingClientID",
                    "acName": "LoosingClientPublicName",
                    "acDate": "2014-01-23T14:31:37+00:00",
                    "crDate": "2013-01-22T17:51:05+00:00",
                    "exDate": "2016-01-22T17:51:05+00:00"
                },
                "panData": {
                    "name": "example1.st",
                    "paResult": 0,
                    "paDate": "2014-01-23T14:31:37+00:00",
                    "paTRID": {
                        "clTRID": "TR_TR_DOMAIN",
                        "svTRID": "d720b6f8-a00e-44a5-9bad-f20ef66f2138"
                    }
                }
            }
        },
    "searchInf": {
        "limit": 1,
        "offset": 0,
        "rows_count": "7"
    },
    "code": 1000,
    "message": "OK",
    "cltrid": "9a6c67e4-d666-54a8-9465-4847bee812e2",
    "svtrid": "e47ec634-a84e-4922-b97f-15f637b4135e",
    "time": 0.0093629360198975
}